Subject: Gcc-2.6.0 - HELP!

From: [email-masked] (Peter Seebach)

NOTHING in objc/* will compile with gcc.

include/stddef.h is conflicting (I believe) with /usr/include/stddef.h, with
the result that, for every file in objc/*.[ch], EITHER size_t is defined twice,
or size_t is never defined.

HELP!  I need a C compiler that doesn't break every program I try to compile.
I was hoping a newer gcc would help.

Has anyone gotten this to work in one try?  Everything blows up for me. :(
-seebs

---

From: Ron Roskens <[email-masked]>

> Has anyone gotten this to work in one try?  Everything blows up for me. :(

Yep, same thing I got when I tried to get gcc to compile. Simple fix was to 
copy /usr/include/stddef.h to gcc-2.6.0/ginclude/stddef.h and it will compile.

Ron